# {{ ansible_managed }}
#
# configuration for softflowd
#
# note: softflowd will not start without an interface configured.

# The interface softflowd listens on. You may also use "any" to listen
# on all interfaces.
INTERFACE="{{ softflowd_interface }}"

# Further options for softflowd, see "man softflowd" for details.
# You should at least define a host and a port where the accounting
# datagrams should be sent to, e.g.
# OPTIONS="-n 127.0.0.1:9995"
OPTIONS="-n {{ softflowd_host }}:{{ softflowd_port }} -v 9 -T {{ softflowd_track_level }} {% if softflowd_max_flows is defined and softflowd_max_flows %}-m {{ softflowd_max_flows }} {% endif %}{% if softflowd_hoplimit is defined and softflowd_hoplimit %}-L {{ softflowd_hoplimit }} {% endif %}{% if softflowd_timeout is defined and softflowd_timeout %}{% for timeout in softflowd_timeout %}-t {{ timeout }} {% endfor %}{% endif %}"
